curl --request GET \
--url https://api.gospott.com/applications \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/applications"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"position": 123,
"createdAt": "2023-11-07T05:31:56Z",
"candidate": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"secondLastName": "<string>",
"avatarUrl": "<string>"
},
"vacancy": {
"id": "<string>",
"name": "<string>",
"companyId": "<string>",
"companyName": "<string>",
"companyLogoUrl": "<string>",
"jobBoards": [
{
"id": "<string>"
}
]
},
"stage": {
"id": "<string>",
"order": 123,
"name": "<string>",
"colorHex": "<string>"
}
}
],
"pagination": {
"cursor": "<unknown>",
"hasMore": true
}
}{
"status": 0,
"message": "Limit must be between 1 and 50",
"requestId": "<string>",
"statusCode": 400,
"error": "Bad Request"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}List applications
Returns a list of applications. Uses cursor pagination.
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Query Parameters
Base64-encoded cursor for pagination. Use the cursor value from a previous response to fetch the next page. Omit for the first page.
ISO 8601 datetime string to filter applications modified on or after this date. If omitted, returns all applications from the beginning of time.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2024-01-01T00:00:00.000Z"
ISO 8601 datetime string to filter applications by sync watermark on or before this date. Useful for incremental syncing with a fixed upper bound.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$"2024-12-31T23:59:59.999Z"
1 <= x <= 501 - 25 elements^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$["candidate@example.com"]
Filter by whether the application is inbound (true) or not (false).
Optional related resources to include in the response. Allowed values: lastActivity, candidate.latestWorkExperience, candidate.locations, candidate.emailAddresses, candidate.phoneNumbers, vacancy.clientContactTeam, vacancy.jobBoards.
lastActivity, candidate.latestWorkExperience, candidate.locations, candidate.emailAddresses, candidate.phoneNumbers, vacancy.clientContactTeam, vacancy.jobBoards ["vacancy.jobBoards"]
Was this page helpful?